> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tinyfn.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Calculate Zscore

> Calculate z-score (standard score).



## OpenAPI

````yaml https://api.tinyfn.io/openapi.json get /v1/stats/z-score
openapi: 3.1.0
info:
  title: TinyFn
  description: >-
    Enterprise-grade infrastructure for checking if 4 is even. And other
    utilities.
  version: 1.0.0
servers: []
security: []
paths:
  /v1/stats/z-score:
    get:
      tags:
        - Statistics Utilities
      summary: Calculate Zscore
      description: Calculate z-score (standard score).
      operationId: calculate_zscore_v1_stats_z_score_get
      parameters:
        - name: value
          in: query
          required: true
          schema:
            type: number
            description: Value to calculate z-score for
            title: Value
          description: Value to calculate z-score for
        - name: mean
          in: query
          required: true
          schema:
            type: number
            description: Population mean
            title: Mean
          description: Population mean
        - name: stddev
          in: query
          required: true
          schema:
            type: number
            exclusiveMinimum: 0
            description: Population standard deviation
            title: Stddev
          description: Population standard deviation
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````